Win a copy of Re-engineering Legacy Software this week in the Refactoring forum
or Docker in Action in the Cloud/Virtualization forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

JSP Exception - regarding

 
Sub swamy
Ranch Hand
Posts: 121
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
I had a JSP application working fine in WAS 5.0 which uses J2EE 1.3. When the ear file was migrated to WAS 6.0 which uses J2EE 1.4 the following exception was obtained

"..URLEncode(java.lang.String,java.lang.String) in org.apache.jasper.runtime.JspRuntimeLibrary cannot be applied to (int,java.lang.String).."


for one of the pages. I would like to make sure that this is purely due to a move from J2EE 1.3 to 1.4. Please let me know if otherwise.
 
Ben Souther
Sheriff
Posts: 13411
Firefox Browser Redhat VI Editor
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Originally posted by Subramanian Narayanaswamy:
... in org.apache.jasper.runtime.JspRuntimeLibrary ...


Looks like the problem is in Jasper.
Jasper is an open source JSP compiler (part of the Apache Tomcat project).
I assume this is what WAS is using internally for it's JSP compilation.
 
Sub swamy
Ranch Hand
Posts: 121
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Right ...seems to be a problem with jasper. But why does this come in RAD6.0 and not WSAD? Is there any upgrade version that i need to use to that this error doesnt occur ?

I dont explicitly use jasper file in WSAD and RAD. However, the error comes only in RAD 6.0.

Would appreciate if someone could guide me on this.
 
Prashant Upasani
Greenhorn
Posts: 3
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi,
I am facing similar issue with RAD6.0.1, any idea which fix pack I need to apply or how can I circumvent this? Thanks alot for all your help!

- Prashant
 
Prashant Upasani
Greenhorn
Posts: 3
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
This problem has been fixed. It was the issue with RAD. After applying all the necessary patches and optional features this problem disappeared.
thanks!
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic